Bug 45519 - Installer: Need another primary partition / Won't respect partition order given in KS-file
Installer: Need another primary partition / Won't respect partition order giv...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-22 09:18 EDT by ronny.lampert
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 15:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ronny.lampert 2001-06-22 09:18:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.19 i586)

Description of problem:
For doing a ks-automated installation, I need at least one primary
partition not used by the install/Linux; but this is ALWAYS assigned to /
and the order given in ks.cfg is NOT respected.



How reproducible:
Always

Steps to Reproduce:
in ks.cfg:

clearpart --all
# shoud be primary!!!
part /dos --size 1200
part / --size 400
part swap --size 256
part /usr --size 1400
part /var --size 200
part /opt --size 300 --grow

Actual Results:  will lead to / being hda1 and all other in a logical (> 5)

Expected Results:
 /dos	-> hda1
/	-> hda2
(swap	-> hda3)
LOGICAL	-> hda4
rest	-> hdaX (X>=5)

Additional info:

maybe new keywords for the ks-installation to be introduced:
--primary and --logical

root needn't be on a primary, but /boot (or the vm_linuz) just below 1024
Comment 1 Brent Fox 2001-06-26 15:24:36 EDT
It is now possible to have greater control over how the partitions are specified
with kickstart.  The docs I'm looking at pertain to Red Hat Linux 7.1, but I
think this might have been true with 7.0 also.

There are new kickstart options such as:

--onprimary <N>

    Forces the partition to be created on the primary partition <N> or fail. <N>
can be 1 through 4. For example, --onprimary=1 specifies that the partition is
to be created on the first primary partition.


--asprimary

    Forces automatic allocation of the partition as a primary partition or the
partitioning will fail.


I think these options will allow you to do what you are talking about.  Please
refer to the latest Kickstart guide
at:http://www.redhat.com/support/manuals/RHL-7.1-Manual/customization-guide/s1-kickstart2-options.html
for all the current options.

Note You need to log in before you can comment on or make changes to this bug.